package  htc.mdb3;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.NamedQuery;
import javax.persistence.Id;
import javax.persistence.Column;

@Entity
@Table(name="Hotproducts")
@NamedQuery(name="plain.all",query="select h from HotProduct  h")

public class HotProduct implements java.io.Serializable {
 private Long prodId;
 private String prodName;
 private String prodType;
 private double prodCost;
 
 @Id
 public Long getProdId() { 
  return prodId; 
 }

 public void setProdId(Long id) { 
  prodId = id;
 }

 @Column(name="name" ,nullable=false)
 public String getProdName() {
  return prodName;
 }

 public void setProdName(String newName) {
  prodName = newName;
 }
 
 @Column(name="type")
 public String getProdType() {
  return prodType;
 }

 public void setProdType(String newType) {
  prodType = newType;
 }

 @Column(name="cost" ,nullable=false)
 public double getProdCost() {
  return prodCost;
 }

 public void setProdCost(double newCost) {
  prodCost = newCost;
 }

 @Override
 public int hashCode(){
  return (int)(2*prodId+3L);
 }
 
 @Override
 public  boolean  equals(Object  other) {
  boolean  ret = false;
  if(other instanceof HotProduct) {
   HotProduct obj = (HotProduct)other;
   ret = (this.prodId==obj.prodId);
  }
  return ret;
 } 

}